package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author HIAPAD
 * @Description TODO
 * @Date 2018/10/23 14:10
 **/
public class AppFunctionOutDto implements Serializable {
    private static final long serialVersionUID = -5222639309327184703L;

    // Fields
    private Integer id;
    private Integer systemcode;
    private String functionName;
    private String url;
    private Integer rightType;
    private String parentcode;
    private String treecode;
    private Integer lastupdateby;
    private Date lastupdatetime;
    private Integer status;
    private Integer orderNumber;
    private Integer isApp;
    private String perms;
    private boolean checked;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSystemcode() {
        return systemcode;
    }

    public void setSystemcode(Integer systemcode) {
        this.systemcode = systemcode;
    }

    public String getFunctionName() {
        return functionName;
    }

    public void setFunctionName(String functionName) {
        this.functionName = functionName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getRightType() {
        return rightType;
    }

    public void setRightType(Integer rightType) {
        this.rightType = rightType;
    }

    public String getParentcode() {
        return parentcode;
    }

    public void setParentcode(String parentcode) {
        this.parentcode = parentcode;
    }

    public String getTreecode() {
        return treecode;
    }

    public void setTreecode(String treecode) {
        this.treecode = treecode;
    }

    public Integer getLastupdateby() {
        return lastupdateby;
    }

    public void setLastupdateby(Integer lastupdateby) {
        this.lastupdateby = lastupdateby;
    }

    public Date getLastupdatetime() {
        return lastupdatetime;
    }

    public void setLastupdatetime(Date lastupdatetime) {
        this.lastupdatetime = lastupdatetime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getIsApp() {
        return isApp;
    }

    public void setIsApp(Integer isApp) {
        this.isApp = isApp;
    }

    public String getPerms() {
        return perms;
    }

    public void setPerms(String perms) {
        this.perms = perms;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }
}
